VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
VisimBox.Renderer.ICamera Interface Reference

interface for camera More...

Inheritance diagram for VisimBox.Renderer.ICamera:

List of all members.

## Public Member Functions
Matrix4 | GetProjectionTransformation (int width, int height)
| Returns projection transformation matrix for specified width/height of the rendering viewport.
Matrix4 | GetViewTransformation ()
| Returns view transformation (basicaly inverted matrix of normal transformation)
Ray | GetPickingRay (float mousex, float mousey)
| Creates (if possible) picking ray from the mouse click (ray from the eye through the clicked position)
bool | GetPickingRay (float mousex, float mousey, Ray ray)
| Sets specified ray to picking ray from the mouse click (ray from the eye through the clicked position)
Vector3 | GetViewingNormal ()
| Returns view normal.
void | LookAt (Vector3 position)
| Turns camera to look at specified position (X unit vector will be rotated to face position)

## Detailed Description

interface for camera

## Member Function Documentation

Ray VisimBox.Renderer.ICamera.GetPickingRay | ( | float | mousex,
|  | float | mousey
| ) |  |

Creates (if possible) picking ray from the mouse click (ray from the eye through the clicked position)

Parameters:

  mousex | MouseX position
  mousey | MouseY position

Returns:
  Picking ray

Implemented in VisimBox.Renderer.StandardCamera.

bool VisimBox.Renderer.ICamera.GetPickingRay | ( | float | mousex,
|  | float | mousey,
|  | Ray | ray
| ) |  |

Sets specified ray to picking ray from the mouse click (ray from the eye through the clicked position)

Parameters:

  mousex | MouseX position
  mousey | MouseY position
  ray | Ray to be set to picking ray

Returns:
  True if ray was set sucessfully

Matrix4 VisimBox.Renderer.ICamera.GetProjectionTransformation | ( | int | width,
|  | int | height
| ) |  |

Returns projection transformation matrix for specified width/height of the rendering viewport.

Parameters:

  width | width of the viewport
  height | Height of the viewport

Returns:
  Perspective or orthonormal projection matrix

Implemented in VisimBox.Renderer.StandardCamera.

Vector3 VisimBox.Renderer.ICamera.GetViewingNormal | ( |  | ) |

Returns view normal.

Returns:
  Normal pointing in the center of the camera

Implemented in VisimBox.Renderer.StandardCamera.

Matrix4 VisimBox.Renderer.ICamera.GetViewTransformation | ( |  | ) |

Returns view transformation (basicaly inverted matrix of normal transformation)

Returns:
  Camera transformation

Implemented in VisimBox.Renderer.StandardCamera.

void VisimBox.Renderer.ICamera.LookAt | ( | Vector3 | position | ) |

Turns camera to look at specified position (X unit vector will be rotated to face position)

Parameters:

  position | Look position

Implemented in VisimBox.Renderer.StandardCamera.

The documentation for this interface was generated from the following file:

- ICamera.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events